//  $Id: dash_app.cpp 84 2016-03-14 12:13:24Z dw $
//
//  Copyright (C) 2014 Centre for Molecular Design, University of Portsmouth.
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program. If not, see <http://www.gnu.org/licenses/>.

#include "dash/dash_app.h"
#include "dash/dash_gui.h"
#include "dash/dash_cli.h"

IMPLEMENT_APP(DashApp)

DashApp::DashApp()
{
    // on ubuntu, make menus appear on application, not global, menu bar
    // otherwise the Dash menu is enabled before trajectory is loaded
    wxSetEnv("UBUNTU_MENUPROXY", "0");
}

bool
DashApp::OnInit()
{
    setlocale(LC_ALL, "");

    if (argc == 1) {
        DashGUI* frame = new DashGUI(nullptr);
        frame->Show();
        SetTopWindow(frame);
        return true;
    } else {
        dash_cli(argc, argv);
        return false;
    }
}
